<!--
/*
 *  Copyright 2012 by Texas Instruments Incorporated .
 *  
 */
-->

<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>Linux Utils Application Programming Interface (API): SDMA_ChannelDescriptor Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<table width="100%">
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border="0" src="tilogo.gif" /></a></td>
  <td bgcolor="red"><img src="titagline.gif" /></td>
</tr>
</table>
<!-- Generated by Doxygen 1.7.2 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li id="searchli">
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<h1>SDMA_ChannelDescriptor Struct Reference<br/>
<small>
[<a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html">SDMA Manager</a>]</small>
</h1>  </div>
</div>
<div class="contents">
<!-- doxytag: class="SDMA_ChannelDescriptor" -->
<p>Descriptor for a channel granted with a SDMA_IOCREQUESTDMA ioctl().  
<a href="#_details">More...</a></p>

<p><code>#include &lt;<a class="el" href="sdma_8h_source.html">sdma.h</a>&gt;</code></p>
<!-- startSectionHeader --><div class="dynheader">
Collaboration diagram for SDMA_ChannelDescriptor:<!-- endSectionHeader --></div>
<!-- startSectionSummary --><!-- endSectionSummary --><!-- startSectionContent --><div class="dyncontent">
<div class="center"><img src="struct_s_d_m_a___channel_descriptor__coll__graph.png" border="0" usemap="#_s_d_m_a___channel_descriptor_coll__map" alt="Collaboration graph"/></div>
<map name="_s_d_m_a___channel_descriptor_coll__map" id="_s_d_m_a___channel_descriptor_coll__map">
<area shape="rect" href="struct_s_d_m_a__transfer_state.html" title="State structure shared between SDMAK and SDMA user layers." alt="" coords="23,7,157,98" /></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center><!-- endSectionContent --></div>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_m_a___channel_descriptor.html#abab29286c016a08f4dc24177eb239ab4">chanNum</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_m_a___channel_descriptor.html#ab48ff4a246ac1517ed6a5a3a1cadec00">addr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="struct_s_d_m_a__transfer_state.html">SDMA_transferState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_m_a___channel_descriptor.html#afcea0f4786a8108713a83586335c7cfe">transferState</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Descriptor for a channel granted with a SDMA_IOCREQUESTDMA ioctl(). </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The address of the transferState member is passed down to the SDMAK module during the <code>SDMA_IOCREQUESTDMA</code> ioctl(). The SDMAK module maps this address and queries and writes to it during the completion ISR activity. It is therefore vital that the address of the descriptor passed to <code><a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga61ad0de72b29de1788eec637c1930275" title="Returns available logical channels.">SDMA_getChannels()</a></code> is in persistent memory that is live for the duration of SDMA channel usage.</dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga61ad0de72b29de1788eec637c1930275" title="Returns available logical channels.">SDMA_getChannels()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga81c0e872ec8e43abecc801f5da40c6e6" title="Frees previously requested logical channels.">SDMA_freeChannels()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga3e11eddf1b871b7499a104acefcfb328" title="Waits for the transfer corresponding to this descriptor to complete.">SDMA_wait()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga04c8ced481b3043a8347a9df4fe3a715" title="Checks the status of the transfer corresponding to this descriptor and returns it in the *pcompleted ...">SDMA_check()</a> </dd></dl>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="abab29286c016a08f4dc24177eb239ab4"></a><!-- doxytag: member="SDMA_ChannelDescriptor::chanNum" ref="abab29286c016a08f4dc24177eb239ab4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="struct_s_d_m_a___channel_descriptor.html#abab29286c016a08f4dc24177eb239ab4">SDMA_ChannelDescriptor::chanNum</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>channel number </p>

</div>
</div>
<a class="anchor" id="ab48ff4a246ac1517ed6a5a3a1cadec00"></a><!-- doxytag: member="SDMA_ChannelDescriptor::addr" ref="ab48ff4a246ac1517ed6a5a3a1cadec00" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int* <a class="el" href="struct_s_d_m_a___channel_descriptor.html#ab48ff4a246ac1517ed6a5a3a1cadec00">SDMA_ChannelDescriptor::addr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>user virtual address of granted DMA registers </p>

</div>
</div>
<a class="anchor" id="afcea0f4786a8108713a83586335c7cfe"></a><!-- doxytag: member="SDMA_ChannelDescriptor::transferState" ref="afcea0f4786a8108713a83586335c7cfe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="struct_s_d_m_a__transfer_state.html">SDMA_transferState</a> <a class="el" href="struct_s_d_m_a___channel_descriptor.html#afcea0f4786a8108713a83586335c7cfe">SDMA_ChannelDescriptor::transferState</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>used for completion checking, whose address is passed down to sdmak kernel driver </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="sdma_8h_source.html">sdma.h</a></li>
</ul>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1" /><small>
Copyright  2012, Texas Instruments Incorporated</small>
</body>
</html>
<!--
/*
 * @(#) linuxutils_3_23_00_01; 1, 0, 0,1; 5-30-2012 11:51:36; /db/atree/library/trees/linuxutils/linuxutils-l01/src/ xlibrary

 */
-->

